Skip to main content
POST
Enable Task

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string<uuid>
required
team_id
string<uuid>
required

Response

Successful Response

Full task response with rclone config (for CRUD and detail endpoints).

id
string<uuid>
required
team_id
string<uuid>
required
created_by
string<uuid>
required
name
string
required
task_type
enum<string>
required

Task operation types.

Available options:
copy,
sync
source_location_id
string<uuid>
required
source_location_name
string
required

Source location display name

source_location_bucket
string
required

Source location bucket name

source_location_type
string
required

Source location provider type

destination_location_id
string<uuid>
required
destination_location_name
string
required

Destination location display name

destination_location_bucket
string
required

Destination location bucket name

destination_location_type
string
required

Destination location provider type

is_scheduled
boolean
required
status
enum<string>
required

Task definition status.

Available options:
enabled,
disabled,
archived
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
Maximum string length: 2000
source_path
string | null

Path within source bucket

Maximum string length: 1000
Example:

"/prod/data"

destination_path
string | null

Path within destination bucket

Maximum string length: 1000
Example:

"/backup"

schedule_cron
string | null
Maximum string length: 100
last_scheduled_run_at
string<date-time> | null

Last scheduled execution time

rclone_config
RCloneConfig · object

RClone configuration options (includes provider-specific defaults)